# rcsid = "$Id: space.def2.s,v 1.1 2015/06/02 11:01:02 simon Exp $"
## This file was generated by SPOCK on Wed Apr 22 2009 at 14:16:09.
#####
# FreePDK45 - FreePDK 45nm
#
# Masks:
# nwell	- n-type well implant
# pwell	- p-type well implant
# nimplant	- n-type s/d doping
# pimplant	- p-type s/d doping
# active	- active area
# poly	- poly-silicon
# contact	- contact
# metal1	- metal1
# via1	- via1
# metal2	- metal2
# via2	- via2
# metal3	- metal3
# via3	- via3
# metal4	- metal4
# via4	- via4
# metal5	- metal5
# via5	- via5
# metal6	- metal6
# via6	- via6
# metal7	- metal7
# via7	- via7
# metal8	- metal8
# via8	- via8
# metal9	- metal9
# via9	- via9
# metal10	- metal10
# sblock	- salicide block
# thkox	- thick-oxide implant
# vthl	- low threshold implant
# vthg	- general threshold implant
# vthh	- high threshold implant
# nodrc	- nodrc
# bb	- bbox
#
# See also the maskdata file.
#####

unit resistance    1	# ohm
unit c_resistance  1e-12	# ohm m^2
unit s_resistance  1	# ohm ...
unit capacitance   1e-15	# F
unit a_capacitance 1e-6	# F/m^2
unit e_capacitance 1e-12	# F/m
unit distance      1e-6	# m
unit resize        1e-6	# m
unit vdimension    1e-6	# m
unit shape         1e-6	# m

#maxkeys 12

# pimplant and nimplant can't be on same place
# and remove pimplant active area in nwell
resize: pimplant nimplant nwell : pimplant : -100

# remove unwanted mask
#resize: bb2 : bb2 : -100

colors:
	nwell	@6901aa
    ##  pwell	@ffff00
        pwell	@440044
    ##  nimplant	@aa00ff
    ##  pimplant	@55ff00
        nimplant	@559900
        pimplant	@55aa00
	active	@008700
	poly	@ff0000
	contact	@ffffff
	metal1	@0000ff
	via1	@e6e6e6
	metal2	@55ffff
	via2	@c7c7c7
	metal3	@4ab4ff
	via3	@a7a7a7
	metal4	@55aaff
	via4	@8d8d8d
	metal5	@55aaff
	via5	@7a7a7a
	metal6	@55aaff
	via6	@797979
	metal7	@55aaff
	via7	@717171
	metal8	@55aaff
	via8	@636363
	metal9	@55aaff
	via9	@585858
	metal10	@55aaff
	sblock	@ffaa7f
	thkox	@ffaaff
	vthl	@aa0000
	vthg	@aa5500
	vthh	@aaaa00
	nodrc	glass
	bb	glass
	@sub	@aa5500

conductors :
#	name:condition_list:mask:sheet_resistivity:carrier_type
###     cond_nw:( nwell ):nwell:933:n		# n-well area
	cond_nw:( nwell ):nwell:0:n		# n-well area
	cond_an:( !nwell nimplant active !poly ):active:0:n		# active n+ area
	cond_ap:( nwell pimplant active !poly ):active:0:p		# active p+ area
	cond_ps:( poly ):poly:7.8:m		# poly-silicon
	cond_m1:( metal1 ):metal1:0.38:m		# 1st metal
	cond_m2:( metal2 ):metal2:0.25:m		# 2nd metal
	cond_m3:( metal3 ):metal3:0.25:m		# 3rd metal
	cond_m4:( metal4 ):metal4:0.21:m		# 4th metal
	cond_m5:( metal5 ):metal5:0.21:m		# 5th metal
	cond_m6:( metal6 ):metal6:0.21:m		# 6th metal
	cond_m7:( metal7 ):metal7:0.075:m		# 7th metal
	cond_m8:( metal8 ):metal8:0.075:m		# 8th metal
	cond_m9:( metal9 ):metal9:0.03:m		# 9th metal
	cond_m10:( metal10 ):metal10:0.03:m		# 10th metal

fets:
#	name:condition_list:mask_g mask_ds [dsarea] [:mask_b]
	nenh:( !nwell pwell nimplant active poly ):poly active ( !nwell nimplant active !poly ):@sub
	penh:( nwell !pwell pimplant active poly ):poly active ( nwell pimplant active !poly ):nwell

contacts :
#	name:condition_list:type:mask1 mask2:resitivity
	cont_su:( !nwell pimplant active contact metal1 ):@sub metal1:0		# substrate to m1
	cont_nw:( nwell nimplant active contact metal1 ):nwell metal1:0		# nwell to m1
	cont_an:( !nwell nimplant active !poly contact metal1 ):active metal1:0		# active n+ to m1
	cont_ap:( nwell pimplant active !poly contact metal1 ):active metal1:0		# active p+ to m1
	cont_ps:( poly contact metal1 ):poly metal1:0.0338		# poly to m1
	cont_m1:( metal1 via1 metal2 ):metal1 metal2:0.02535		# m1 to m2
	cont_m2:( metal2 via2 metal3 ):metal2 metal3:0.0245		# m2 to m3
	cont_m3:( metal3 via3 metal4 ):metal3 metal4:0.0245		# m3 to m4
	cont_m4:( metal4 via4 metal5 ):metal4 metal5:0.0588		# m4 to m5
	cont_m5:( metal5 via5 metal6 ):metal5 metal6:0.0588		# m5 to m6
	cont_m6:( metal6 via6 metal7 ):metal6 metal7:0.0588		# m6 to m7
	cont_m7:( metal7 via7 metal8 ):metal7 metal8:0.16		# m7 to m8
	cont_m8:( metal8 via8 metal9 ):metal8 metal9:0.16		# m8 to m9
	cont_m9:( metal9 via9 metal10 ):metal9 metal10:0.32		# m9 to m10

# GENERATED BEGIN: tabs-area-capacitance (edit this block at your own risk)
# Added: Thu Jun 25 14:09:39 CEST 2009
capacitances: # area-capacitances
    cpp_active_metal1 : !nwell nimplant active !poly metal1 !contact : active metal1 : 128.27
    cpp_active_metal2 : !nwell nimplant active !poly metal2 !metal1 : active metal2 : 52.383
    cpp_active_metal1_1 : nwell active !poly pimplant metal1 !contact : active metal1 : 128.27
    cpp_active_metal2_1 : nwell active !poly pimplant metal2 !metal1 : active metal2 : 52.383
    cpp_poly_metal1 : poly metal1 !contact : poly metal1 : 260.41
    cpp_poly_metal2 : poly metal2 !metal1 : poly metal2 : 66.075
    cpp_poly_metal3 : poly metal3 !metal1 !metal2 : poly metal3 : 37.202
    cpp_metal1_metal2 : metal1 metal2 !via1 : metal1 metal2 : 184.46
    cpp_metal1_metal3 : metal1 metal3 !metal2 : metal1 metal3 : 58.25
    cpp_metal1_metal4 : metal1 metal4 !metal2 !metal3 : metal1 metal4 : 34.586
    cpp_metal2_metal3 : metal2 metal3 !via2 : metal2 metal3 : 184.46
    cpp_metal2_metal4 : metal2 metal4 !metal3 : metal2 metal4 : 58.25
    cpp_metal2_metal5 : metal2 metal5 !metal3 !metal4 : metal2 metal5 : 23.3
    cpp_metal3_metal4 : metal3 metal4 !via3 : metal3 metal4 : 184.46
    cpp_metal3_metal5 : metal3 metal5 !metal4 : metal3 metal5 : 32.08
    cpp_metal3_metal6 : metal3 metal6 !metal4 !metal5 : metal3 metal6 : 17.567
    cpp_metal4_metal5 : metal4 metal5 !via4 : metal4 metal5 : 76.328
    cpp_metal4_metal6 : metal4 metal6 !metal5 : metal4 metal6 : 25.738
    cpp_metal4_metal7 : metal4 metal7 !metal5 !metal6 : metal4 metal7 : 15.479
    cpp_metal5_metal6 : metal5 metal6 !via5 : metal5 metal6 : 76.328
    cpp_metal5_metal7 : metal5 metal7 !metal6 : metal5 metal7 : 25.738
    cpp_metal5_metal8 : metal5 metal8 !metal6 !metal7 : metal5 metal8 : 8.9254
    cpp_metal6_metal7 : metal6 metal7 !via6 : metal6 metal7 : 76.328
    cpp_metal6_metal8 : metal6 metal8 !metal7 : metal6 metal8 : 11.589
    cpp_metal6_metal9 : metal6 metal9 !metal7 !metal8 : metal6 metal9 : 6.2705
    cpp_metal7_metal8 : metal7 metal8 !via7 : metal7 metal8 : 26.994
    cpp_metal7_metal9 : metal7 metal9 !metal8 : metal7 metal9 : 9.0717
    cpp_metal7_metal10 : metal7 metal10 !metal8 !metal9 : metal7 metal10 : 3.4371
    cpp_metal8_metal9 : metal8 metal9 !via8 : metal8 metal9 : 26.994
    cpp_metal8_metal10 : metal8 metal10 !metal9 : metal8 metal10 : 4.5923
    cpp_metal9_metal10 : metal9 metal10 !via9 : metal9 metal10 : 11.067
    cpp_sub_poly : poly !nwell (!active | !nimplant) : @sub poly : 172.65
    cpp_nwell_poly : poly nwell (!active | !pimplant) : nwell poly : 172.65
    cpp_sub_metal1 : metal1 !nwell !poly (!active | !nimplant !contact) : @sub metal1 : 74.227
    cpp_nwell_metal1 : metal1 nwell !poly (!active | !pimplant !contact) : nwell metal1 : 74.227
# GENERATED END

# GENERATED BEGIN: tabs-edge-edge-capacitance (edit this block at your own risk)
# Added: Thu Jun 25 14:09:39 CEST 2009
capacitances: # edge-edge capacitances
    cee_poly_metal1 : !poly !metal1 -poly -metal1 : -poly -metal1 : 8.7441
    cee_poly_metal2 : !poly !metal2 !metal1 -poly -metal2 : -poly -metal2 : 3.9509
    cee_poly_metal3 : !poly !metal3 !metal1 !metal2 -poly -metal3 : -poly -metal3 : 2.3637
    cee_metal1_metal2 : !metal1 !metal2 -metal1 -metal2 : -metal1 -metal2 : 9.667
    cee_metal1_metal3 : !metal1 !metal3 !metal2 -metal1 -metal3 : -metal1 -metal3 : 5.2803
    cee_metal1_metal4 : !metal1 !metal4 !metal2 !metal3 -metal1 -metal4 : -metal1 -metal4 : 3.8658
    cee_metal2_metal3 : !metal2 !metal3 -metal2 -metal3 : -metal2 -metal3 : 10.794
    cee_metal2_metal4 : !metal2 !metal4 !metal3 -metal2 -metal4 : -metal2 -metal4 : 6.6934
    cee_metal2_metal5 : !metal2 !metal5 !metal3 !metal4 -metal2 -metal5 : -metal2 -metal5 : 3.7397
    cee_metal3_metal4 : !metal3 !metal4 -metal3 -metal4 : -metal3 -metal4 : 11.675
    cee_metal3_metal5 : !metal3 !metal5 !metal4 -metal3 -metal5 : -metal3 -metal5 : 5.2266
    cee_metal3_metal6 : !metal3 !metal6 !metal4 !metal5 -metal3 -metal6 : -metal3 -metal6 : 3.4756
    cee_metal4_metal5 : !metal4 !metal5 -metal4 -metal5 : -metal4 -metal5 : 10.037
    cee_metal4_metal6 : !metal4 !metal6 !metal5 -metal4 -metal6 : -metal4 -metal6 : 5.9942
    cee_metal4_metal7 : !metal4 !metal7 !metal5 !metal6 -metal4 -metal7 : -metal4 -metal7 : 4.5769
    cee_metal5_metal6 : !metal5 !metal6 -metal5 -metal6 : -metal5 -metal6 : 10.301
    cee_metal5_metal7 : !metal5 !metal7 !metal6 -metal5 -metal7 : -metal5 -metal7 : 6.5751
    cee_metal5_metal8 : !metal5 !metal8 !metal6 !metal7 -metal5 -metal8 : -metal5 -metal8 : 3.6568
    cee_metal6_metal7 : !metal6 !metal7 -metal6 -metal7 : -metal6 -metal7 : 11.425
    cee_metal6_metal8 : !metal6 !metal8 !metal7 -metal6 -metal8 : -metal6 -metal8 : 4.8671
    cee_metal6_metal9 : !metal6 !metal9 !metal7 !metal8 -metal6 -metal9 : -metal6 -metal9 : 3.3967
    cee_metal7_metal8 : !metal7 !metal8 -metal7 -metal8 : -metal7 -metal8 : 9.7464
    cee_metal7_metal9 : !metal7 !metal9 !metal8 -metal7 -metal9 : -metal7 -metal9 : 6.4067
    cee_metal7_metal10 : !metal7 !metal10 !metal8 !metal9 -metal7 -metal10 : -metal7 -metal10 : 3.2549
    cee_metal8_metal9 : !metal8 !metal9 -metal8 -metal9 : -metal8 -metal9 : 11.05
    cee_metal8_metal10 : !metal8 !metal10 !metal9 -metal8 -metal10 : -metal8 -metal10 : 4.8172
    cee_metal9_metal10 : !metal9 !metal10 -metal9 -metal10 : -metal9 -metal10 : 9.6754
# GENERATED END

# GENERATED BEGIN: tabs-edge-surface-capacitance (edit this block at your own risk)
# Added: Thu Jun 25 14:09:54 CEST 2009
# Precision: low (be_mode=0c error=0.1)
# Edge-ratio: 10
capacitances: # edge-surface capacitances
    ecap_poly_sub : !poly -poly !nwell : -poly @sub :
                                      0.075 8.2394
                                      0.15 13.031
                                      0.3 20.093
                                      0.6 27.341
                                      1.2 31.905
                                      2.4 33.649

    ecap_poly_nwell : !poly -poly nwell : -poly nwell :
                                      0.075 8.2394
                                      0.15 13.031
                                      0.3 20.093
                                      0.6 27.341
                                      1.2 31.905
                                      2.4 33.649

    ecap_poly_metal1 : !poly -poly metal1 : -poly metal1 :
                                      0.075 7.1922
                                      0.15 12.536
                                      0.3 17.098
                                      0.6 17.373

    ecap_poly_metal2 : !poly -poly metal2 !metal1 : -poly metal2 :
                                      0.075 3.5377
                                      0.15 5.1825
                                      0.3 7.3399
                                      0.6 8.8291

    ecap_poly_metal3 : !poly -poly metal3 !metal1 !metal2 : -poly metal3 :
                                      0.075 2.5943
                                      0.15 3.4735
                                      0.3 4.6725
                                      0.6 5.7498
                                      1.2 5.966

    ecap_metal1_poly : !metal1 -metal1 poly : -metal1 poly :
                                      0.065 5.8774
                                      0.13 10.907
                                      0.26 17.677
                                      0.52 23.012
                                      1.04 23.661

    ecap_metal1_active : !metal1 -metal1 !nwell nimplant active !poly : -metal1 active :
                                      0.065 4.4601
                                      0.13 7.2955
                                      0.26 12.115
                                      0.52 17.77
                                      1.04 20.489

    ecap_metal1_active_1 : !metal1 -metal1 nwell active !poly pimplant : -metal1 active :
                                      0.065 4.4601
                                      0.13 7.2955
                                      0.26 12.115
                                      0.52 17.77
                                      1.04 20.489

    ecap_metal1_sub : !metal1 -metal1 !nwell !-nwell !poly (!active | !nimplant) : -metal1 @sub :
                                      0.065 5.2446
                                      0.13 7.3848
                                      0.26 11.221
                                      0.52 16.971
                                      1.04 23.239
                                      2.08 27.604
                                      4.16 29.464

    ecap_metal1_nwell : !metal1 -metal1 nwell !poly (!active | !pimplant) : -metal1 nwell :
                                      0.065 5.2446
                                      0.13 7.3848
                                      0.26 11.221
                                      0.52 16.971
                                      1.04 23.239
                                      2.08 27.604
                                      4.16 29.464

    ecap_metal1_metal2 : !metal1 -metal1 metal2 : -metal1 metal2 :
                                      0.065 4.3364
                                      0.13 8.4464
                                      0.26 14.189
                                      0.52 18.275

    ecap_metal1_metal3 : !metal1 -metal1 metal3 !metal2 : -metal1 metal3 :
                                      0.065 2.747
                                      0.13 4.2549
                                      0.26 6.8013
                                      0.52 9.8944
                                      1.04 11.351

    ecap_metal1_metal4 : !metal1 -metal1 metal4 !metal2 !metal3 : -metal1 metal4 :
                                      0.065 2.5582
                                      0.13 3.4422
                                      0.26 4.9273
                                      0.52 6.9336
                                      1.04 8.4514

    ecap_metal2_metal1 : !metal2 -metal2 metal1 : -metal2 metal1 :
                                      0.07 4.838
                                      0.14 9.0988
                                      0.28 15.433
                                      0.56 21.409
                                      1.12 23.604

    ecap_metal2_poly : !metal2 -metal2 poly !metal1 : -metal2 poly :
                                      0.07 3.5026
                                      0.14 5.2175
                                      0.28 8.3694
                                      0.56 13.278
                                      1.12 17.961
                                      2.24 18.812

    ecap_metal2_active : !metal2 -metal2 !nwell nimplant active !poly !metal1 : -metal2 active :
                                      0.07 2.903
                                      0.14 4.324
                                      0.28 6.957
                                      0.56 11.382
                                      1.12 16.226
                                      2.24 18.045

    ecap_metal2_active_1 : !metal2 -metal2 nwell active !poly pimplant !metal1 : -metal2 active :
                                      0.07 2.903
                                      0.14 4.324
                                      0.28 6.957
                                      0.56 11.382
                                      1.12 16.226
                                      2.24 18.045

    ecap_metal2_metal3 : !metal2 -metal2 metal3 : -metal2 metal3 :
                                      0.07 4.5991
                                      0.14 8.8895
                                      0.28 15.089
                                      0.56 20.116
                                      1.12 20.527

    ecap_metal2_metal4 : !metal2 -metal2 metal4 !metal3 : -metal2 metal4 :
                                      0.07 2.2549
                                      0.14 3.9457
                                      0.28 6.9026
                                      0.56 10.875
                                      1.12 13.434

    ecap_metal2_metal5 : !metal2 -metal2 metal5 !metal3 !metal4 : -metal2 metal5 :
                                      0.07 2.1847
                                      0.14 2.8495
                                      0.28 3.9963
                                      0.56 5.7529
                                      1.12 7.6482
                                      2.24 8.3401

    ecap_metal3_metal2 : !metal3 -metal3 metal2 : -metal3 metal2 :
                                      0.07 4.9557
                                      0.14 9.243
                                      0.28 15.583
                                      0.56 21.568
                                      1.12 24.038

    ecap_metal3_metal1 : !metal3 -metal3 metal1 !metal2 : -metal3 metal1 :
                                      0.07 3.0164
                                      0.14 4.6316
                                      0.28 7.5944
                                      0.56 12.277
                                      1.12 17.337
                                      2.24 19.255

    ecap_metal3_poly : !metal3 -metal3 poly !metal2 !metal1 : -metal3 poly :
                                      0.07 2.6729
                                      0.14 3.6536
                                      0.28 5.5426
                                      0.56 9.0227
                                      1.12 13.892
                                      2.24 17.275

    ecap_metal3_metal4 : !metal3 -metal3 metal4 : -metal3 metal4 :
                                      0.07 4.8092
                                      0.14 9.0739
                                      0.28 15.253
                                      0.56 20.779
                                      1.12 22.141

    ecap_metal3_metal5 : !metal3 -metal3 metal5 !metal4 : -metal3 metal5 :
                                      0.07 2.0351
                                      0.14 2.9844
                                      0.28 4.6962
                                      0.56 7.0591
                                      1.12 10.266
                                      2.24 11.139

    ecap_metal3_metal6 : !metal3 -metal3 metal6 !metal4 !metal5 : -metal3 metal6 :
                                      0.07 2.0003
                                      0.14 2.5192
                                      0.28 3.4198
                                      0.56 4.8658
                                      1.12 6.7692
                                      2.24 8.1183

    ecap_metal4_metal3 : !metal4 -metal4 metal3 : -metal4 metal3 :
                                      0.14 8.2735
                                      0.28 14.451
                                      0.56 21.542
                                      1.12 25.88

    ecap_metal4_metal2 : !metal4 -metal4 metal2 !metal3 : -metal4 metal2 :
                                      0.14 3.8513
                                      0.28 6.8398
                                      0.56 11.801
                                      1.12 17.789
                                      2.24 21.223

    ecap_metal4_metal1 : !metal4 -metal4 metal1 !metal3 !metal2 : -metal4 metal1 :
                                      0.14 3.6232
                                      0.28 5.3977
                                      0.56 8.6818
                                      1.12 13.738
                                      2.24 18.249
                                      4.48 18.823

    ecap_metal4_metal5 : !metal4 -metal4 metal5 : -metal4 metal5 :
                                      0.14 3.925
                                      0.28 7.6728
                                      0.56 13.405
                                      1.12 18.615
                                      2.24 19.376

    ecap_metal4_metal6 : !metal4 -metal4 metal6 !metal5 : -metal4 metal6 :
                                      0.14 2.2552
                                      0.28 3.7435
                                      0.56 6.3326
                                      1.12 9.957
                                      2.24 12.482

    ecap_metal4_metal7 : !metal4 -metal4 metal7 !metal5 !metal6 : -metal4 metal7 :
                                      0.14 2.2266
                                      0.28 3.303
                                      0.56 4.6694
                                      1.12 7.0269
                                      2.24 9.3397
                                      4.48 9.4315

    ecap_metal5_metal4 : !metal5 -metal5 metal4 : -metal5 metal4 :
                                      0.14 4.3056
                                      0.28 8.0401
                                      0.56 13.906
                                      1.12 20.141
                                      2.24 23.26

    ecap_metal5_metal3 : !metal5 -metal5 metal3 !metal4 : -metal5 metal3 :
                                      0.14 3.1745
                                      0.28 4.8768
                                      0.56 7.7643
                                      1.12 12.856
                                      2.24 17.689
                                      4.48 19.475

    ecap_metal5_metal2 : !metal5 -metal5 metal2 !metal4 !metal3 : -metal5 metal2 :
                                      0.14 2.9878
                                      0.28 4.2545
                                      0.56 6.6128
                                      1.12 10.617
                                      2.24 15.66
                                      4.48 18.322

    ecap_metal5_metal6 : !metal5 -metal5 metal6 : -metal5 metal6 :
                                      0.14 4.0388
                                      0.28 7.7901
                                      0.56 13.56
                                      1.12 19.263
                                      2.24 21.169

    ecap_metal5_metal7 : !metal5 -metal5 metal7 !metal6 : -metal5 metal7 :
                                      0.14 1.8862
                                      0.28 3.433
                                      0.56 6.2108
                                      1.12 10.521
                                      2.24 13.92

    ecap_metal5_metal8 : !metal5 -metal5 metal8 !metal6 !metal7 : -metal5 metal8 :
                                      0.14 1.9276
                                      0.28 2.4539
                                      0.56 3.3767
                                      1.12 4.8612
                                      2.24 6.8871
                                      4.48 8.1704

    ecap_metal6_metal5 : !metal6 -metal6 metal5 : -metal6 metal5 :
                                      0.14 4.4
                                      0.28 8.1565
                                      0.56 13.995
                                      1.12 20.162
                                      2.24 23.415

    ecap_metal6_metal4 : !metal6 -metal6 metal4 !metal5 : -metal6 metal4 :
                                      0.14 2.5381
                                      0.28 4.0157
                                      0.56 6.725
                                      1.12 11.187
                                      2.24 16.46
                                      4.48 19.448

    ecap_metal6_metal3 : !metal6 -metal6 metal3 !metal5 !metal4 : -metal6 metal3 :
                                      0.14 2.7169
                                      0.28 3.6957
                                      0.56 5.5188
                                      1.12 8.7904
                                      2.24 13.56
                                      4.48 17.453
                                      8.96 17.72

    ecap_metal6_metal7 : !metal6 -metal6 metal7 : -metal6 metal7 :
                                      0.14 4.2819
                                      0.28 8.0065
                                      0.56 13.774
                                      1.12 19.663
                                      2.24 22.103

    ecap_metal6_metal8 : !metal6 -metal6 metal8 !metal7 : -metal6 metal8 :
                                      0.14 1.77
                                      0.28 2.4801
                                      0.56 3.7644
                                      1.12 5.9263
                                      2.24 8.7616
                                      4.48 10.658

    ecap_metal6_metal9 : !metal6 -metal6 metal9 !metal7 !metal8 : -metal6 metal9 :
                                      0.14 1.6307
                                      0.28 2.0294
                                      0.56 2.7033
                                      1.12 3.8006
                                      2.24 5.4267
                                      4.48 7.0322
                                      8.96 7.3796

    ecap_metal7_metal6 : !metal7 -metal7 metal6 : -metal7 metal6 :
                                      0.4 9.3466
                                      0.8 15.881
                                      1.6 22.902
                                      3.2 26.642

    ecap_metal7_metal5 : !metal7 -metal7 metal5 !metal6 : -metal7 metal5 :
                                      0.4 4.361
                                      0.8 7.9817
                                      1.6 13.749
                                      3.2 19.544
                                      6.4 22.631

    ecap_metal7_metal4 : !metal7 -metal7 metal4 !metal6 !metal5 : -metal7 metal4 :
                                      0.4 3.8434
                                      0.8 6.1147
                                      1.6 10.055
                                      3.2 15.68
                                      6.4 19.379
                                      12.8 19.708

    ecap_metal7_metal8 : !metal7 -metal7 metal8 : -metal7 metal8 :
                                      0.4 4.0034
                                      0.8 7.7936
                                      1.6 13.571
                                      3.2 18.537
                                      6.4 19.053

    ecap_metal7_metal9 : !metal7 -metal7 metal9 !metal8 : -metal7 metal9 :
                                      0.4 2.2503
                                      0.8 3.7656
                                      1.6 6.3786
                                      3.2 9.9872
                                      6.4 12.264

    ecap_metal7_metal10 : !metal7 -metal7 metal10 !metal8 !metal9 : -metal7 metal10 :
                                      0.4 2.2147
                                      0.8 2.7387
                                      1.6 4.1712
                                      3.2 5.0926
                                      6.4 6.6002
                                      12.8 7.2329

    ecap_metal8_metal7 : !metal8 -metal8 metal7 : -metal8 metal7 :
                                      0.4 4.4207
                                      0.8 8.161
                                      1.6 14.092
                                      3.2 20.275
                                      6.4 23.53

    ecap_metal8_metal6 : !metal8 -metal8 metal6 !metal7 : -metal8 metal6 :
                                      0.4 3.228
                                      0.8 5.0139
                                      1.6 8.3007
                                      3.2 13.334
                                      6.4 18.424
                                      12.8 20.264

    ecap_metal8_metal5 : !metal8 -metal8 metal5 !metal7 !metal6 : -metal8 metal5 :
                                      0.4 3.0508
                                      0.8 4.363
                                      1.6 6.9829
                                      3.2 11.297
                                      6.4 16.473
                                      12.8 19.223

    ecap_metal8_metal9 : !metal8 -metal8 metal9 : -metal8 metal9 :
                                      0.4 4.1232
                                      0.8 7.8988
                                      1.6 13.636
                                      3.2 19.253
                                      6.4 20.93

    ecap_metal8_metal10 : !metal8 -metal8 metal10 !metal9 : -metal8 metal10 :
                                      0.4 2.0062
                                      0.8 2.7757
                                      1.6 4.1351
                                      3.2 6.2648
                                      6.4 8.9585
                                      12.8 9.993

    ecap_metal9_metal8 : !metal9 -metal9 metal8 : -metal9 metal8 :
                                      0.8 7.0284
                                      1.6 12.521
                                      3.2 19.667
                                      6.4 25.256
                                      12.8 26.745

    ecap_metal9_metal7 : !metal9 -metal9 metal7 !metal8 : -metal9 metal7 :
                                      0.8 3.4838
                                      1.6 6.1183
                                      3.2 10.776
                                      6.4 16.961
                                      12.8 21.563

    ecap_metal9_metal6 : !metal9 -metal9 metal6 !metal8 !metal7 : -metal9 metal6 :
                                      0.8 3.0992
                                      1.6 5.0832
                                      3.2 8.5443
                                      6.4 14.012
                                      12.8 19.107
                                      25.6 19.79

    ecap_metal9_metal10 : !metal9 -metal9 metal10 : -metal9 metal10 :
                                      0.8 3.0898
                                      1.6 6.438
                                      3.2 11.597
                                      6.4 17.042
                                      12.8 18.962

    ecap_metal10_metal9 : !metal10 -metal10 metal9 : -metal10 metal9 :
                                      0.8 3.1714
                                      1.6 6.4967
                                      3.2 11.731
                                      6.4 18.561
                                      12.8 22.871

    ecap_metal10_metal8 : !metal10 -metal10 metal8 !metal9 : -metal10 metal8 :
                                      0.8 2.7853
                                      1.6 4.1981
                                      3.2 6.8055
                                      6.4 11.359
                                      12.8 16.676
                                      25.6 18.31

    ecap_metal10_metal7 : !metal10 -metal10 metal7 !metal9 !metal8 : -metal10 metal7 :
                                      0.8 2.7911
                                      1.6 4.3368
                                      3.2 5.8723
                                      6.4 9.5295
                                      12.8 14.504
                                      25.6 16.922
# GENERATED END

# GENERATED BEGIN: tabs-lateral-capacitance (edit this block at your own risk)
# Added: Thu Jun 25 14:10:23 CEST 2009
# Precision: low (be_mode=0c error=0.1)
# Edge-ratio: 10
capacitances: # lateral capacitances
    lcap_poly_none_metal1 : !poly -poly =poly metal1 : -poly =poly :
                                      0.075 31.436
                                      0.15 13.545
                                      0.3 2.6055

    lcap_poly_none_metal2 : !poly -poly =poly !metal1 metal2 : -poly =poly :
                                      0.075 39.131
                                      0.15 21.24
                                      0.3 8.426
                                      0.6 1.3958

    lcap_poly_none_none : !poly -poly =poly !metal1 !metal2 : -poly =poly :
                                      0.075 47.809
                                      0.15 30.164
                                      0.3 17.079
                                      0.6 8.0695
                                      1.2 3.0892
                                      2.4 0.95306

    lcap_metal1_poly_metal2 : !metal1 -metal1 =metal1 poly metal2 : -metal1 =metal1 :
                                      0.065 46.624
                                      0.13 20.088
                                      0.26 4.3051

    lcap_metal1_poly_metal3 : !metal1 -metal1 =metal1 !metal2 poly metal3 : -metal1 =metal1 :
                                      0.065 53.481
                                      0.13 26.987
                                      0.26 10.217
                                      0.52 1.3213

    lcap_metal1_poly_none : !metal1 -metal1 =metal1 !metal2 !metal3 poly : -metal1 =metal1 :
                                      0.065 60.826
                                      0.13 34.823
                                      0.26 18.172
                                      0.52 7.9413
                                      1.04 2.442
                                      2.08 1.0637

    lcap_metal1_active_metal2 : !metal1 -metal1 =metal1 !poly !nwell nimplant active metal2 : -metal1 =metal1 :
                                      0.065 50.153
                                      0.13 23.851
                                      0.26 7.5186

    lcap_metal1_active_metal3 : !metal1 -metal1 =metal1 !poly !metal2 !nwell nimplant active metal3 : -metal1 =metal1 :
                                      0.065 56.905
                                      0.13 30.751
                                      0.26 13.814
                                      0.52 3.3707

    lcap_metal1_active_none : !metal1 -metal1 =metal1 !poly !metal2 !metal3 !nwell nimplant active : -metal1 =metal1 :
                                      0.065 64.248
                                      0.13 38.567
                                      0.26 22.041
                                      0.52 10.81
                                      1.04 4.0194
                                      2.08 1.4267

    lcap_metal1_active_metal2_1 : !metal1 -metal1 =metal1 !poly nwell active pimplant metal2 : -metal1 =metal1 :
                                      0.065 50.153
                                      0.13 23.851
                                      0.26 7.5186

    lcap_metal1_active_metal3_1 : !metal1 -metal1 =metal1 !poly nwell active !metal2 pimplant metal3 : -metal1 =metal1 :
                                      0.065 56.905
                                      0.13 30.751
                                      0.26 13.814
                                      0.52 3.3707

    lcap_metal1_active_none_1 : !metal1 -metal1 =metal1 !poly nwell active !metal2 !metal3 pimplant : -metal1 =metal1 :
                                      0.065 64.248
                                      0.13 38.567
                                      0.26 22.041
                                      0.52 10.81
                                      1.04 4.0194
                                      2.08 1.4267

    lcap_metal1_none_metal2 : !metal1 -metal1 =metal1 !poly nwell !pimplant metal2 | !metal1 -metal1 =metal1 !poly !nwell !nimplant metal2 | !metal1 -metal1 =metal1 !poly !active metal2 : -metal1 =metal1 :
                                      0.065 53.879
                                      0.13 27.572
                                      0.26 10.777
                                      0.52 1.5331

    lcap_metal1_none_metal3 : !metal1 -metal1 =metal1 !poly nwell !pimplant !metal2 metal3 | !metal1 -metal1 =metal1 !poly !nwell !nimplant !metal2 metal3 | !metal1 -metal1 =metal1 !poly !active !metal2 metal3 : -metal1 =metal1 :
                                      0.065 60.584
                                      0.13 34.43
                                      0.26 17.282
                                      0.52 5.8716
                                      1.04 0.41945
                                      2.08 0.023792

    lcap_metal1_none_none : !metal1 -metal1 =metal1 !poly nwell !pimplant !metal2 !metal3 | !metal1 -metal1 =metal1 !poly !nwell !nimplant !metal2 !metal3 | !metal1 -metal1 =metal1 !poly !active !metal2 !metal3 : -metal1 =metal1 :
                                      0.065 67.921
                                      0.13 42.235
                                      0.26 25.627
                                      0.52 13.994
                                      1.04 6.1674
                                      2.08 2.0517

    lcap_metal2_metal1_metal3 : !metal2 -metal2 =metal2 metal1 metal3 : -metal2 =metal2 :
                                      0.07 47.882
                                      0.14 21.431
                                      0.28 5.0648

    lcap_metal2_metal1_metal4 : !metal2 -metal2 =metal2 !metal3 metal1 metal4 : -metal2 =metal2 :
                                      0.07 54.402
                                      0.14 28.07
                                      0.28 11.113
                                      0.56 1.5481

    lcap_metal2_metal1_none : !metal2 -metal2 =metal2 !metal3 !metal4 metal1 : -metal2 =metal2 :
                                      0.07 62.273
                                      0.14 36.382
                                      0.28 19.686
                                      0.56 8.7852
                                      1.12 2.6227
                                      2.24 1.1971

    lcap_metal2_poly_metal3 : !metal2 -metal2 =metal2 !metal1 poly metal3 : -metal2 =metal2 :
                                      0.07 53.51
                                      0.14 27.299
                                      0.28 10.394
                                      0.56 1.1736

    lcap_metal2_poly_metal4 : !metal2 -metal2 =metal2 !metal1 !metal3 poly metal4 : -metal2 =metal2 :
                                      0.07 60.125
                                      0.14 34.071
                                      0.28 16.908
                                      0.56 5.3712

    lcap_metal2_poly_none : !metal2 -metal2 =metal2 !metal1 !metal3 !metal4 poly : -metal2 =metal2 :
                                      0.07 68.036
                                      0.14 42.436
                                      0.28 25.811
                                      0.56 13.98
                                      1.12 5.8072
                                      2.24 2.0571

    lcap_metal2_none_metal3 : !metal2 -metal2 =metal2 !metal1 !poly metal3 : -metal2 =metal2 :
                                      0.07 56.637
                                      0.14 30.42
                                      0.28 13.303
                                      0.56 3.0659

    lcap_metal2_none_metal4 : !metal2 -metal2 =metal2 !metal1 !poly !metal3 metal4 : -metal2 =metal2 :
                                      0.07 63.198
                                      0.14 37.153
                                      0.28 19.946
                                      0.56 7.8501
                                      1.12 1.0115
                                      2.24 0.051795

    lcap_metal2_none_none : !metal2 -metal2 =metal2 !metal1 !poly !metal3 !metal4 : -metal2 =metal2 :
                                      0.07 71.167
                                      0.14 45.581
                                      0.28 28.99
                                      0.56 17.036
                                      1.12 8.289
                                      2.24 3.0272

    lcap_metal3_metal2_metal4 : !metal3 -metal3 =metal3 metal2 metal4 : -metal3 =metal3 :
                                      0.07 47.603
                                      0.14 21.175
                                      0.28 4.9961

    lcap_metal3_metal2_metal5 : !metal3 -metal3 =metal3 !metal4 metal2 metal5 : -metal3 =metal3 :
                                      0.07 57.899
                                      0.14 31.695
                                      0.28 14.561
                                      0.56 3.9444

    lcap_metal3_metal2_none : !metal3 -metal3 =metal3 !metal4 !metal5 metal2 : -metal3 =metal3 :
                                      0.07 62.255
                                      0.14 36.428
                                      0.28 19.723
                                      0.56 8.8914
                                      1.12 2.5995
                                      2.24 1.2436

    lcap_metal3_metal1_metal4 : !metal3 -metal3 =metal3 !metal2 metal1 metal4 : -metal3 =metal3 :
                                      0.07 54.276
                                      0.14 27.973
                                      0.28 11.045
                                      0.56 1.5617

    lcap_metal3_metal1_metal5 : !metal3 -metal3 =metal3 !metal2 !metal4 metal1 metal5 : -metal3 =metal3 :
                                      0.07 64.441
                                      0.14 38.43
                                      0.28 21.242
                                      0.56 8.9339
                                      1.12 1.3484
                                      2.24 0.067222

    lcap_metal3_metal1_none : !metal3 -metal3 =metal3 !metal2 !metal4 !metal5 metal1 : -metal3 =metal3 :
                                      0.07 68.869
                                      0.14 43.24
                                      0.28 26.638
                                      0.56 14.755
                                      1.12 6.2808
                                      2.24 2.2782

    lcap_metal3_none_metal4 : !metal3 -metal3 =metal3 !metal2 !metal1 metal4 : -metal3 =metal3 :
                                      0.07 58.685
                                      0.14 32.501
                                      0.28 15.395
                                      0.56 4.6286

    lcap_metal3_none_metal5 : !metal3 -metal3 =metal3 !metal2 !metal1 !metal4 metal5 : -metal3 =metal3 :
                                      0.07 68.84
                                      0.14 42.961
                                      0.28 25.843
                                      0.56 13.165
                                      1.12 4.0943
                                      2.24 0.45675

    lcap_metal3_none_none : !metal3 -metal3 =metal3 !metal2 !metal1 !metal4 !metal5 : -metal3 =metal3 :
                                      0.07 73.352
                                      0.14 47.857
                                      0.28 31.374
                                      0.56 19.417
                                      1.12 10.268
                                      2.24 4.126

    lcap_metal4_metal3_metal5 : !metal4 -metal4 =metal4 metal3 metal5 : -metal4 =metal4 :
                                      0.14 45.153
                                      0.28 18.74
                                      0.56 3.5117

    lcap_metal4_metal3_metal6 : !metal4 -metal4 =metal4 !metal5 metal3 metal6 : -metal4 =metal4 :
                                      0.14 52.067
                                      0.28 25.351
                                      0.56 8.902
                                      1.12 0.54492

    lcap_metal4_metal3_none : !metal4 -metal4 =metal4 !metal5 !metal6 metal3 : -metal4 =metal4 :
                                      0.14 59.199
                                      0.28 32.883
                                      0.56 16.478
                                      1.12 6.7291
                                      2.24 1.5421
                                      4.48 1.0208

    lcap_metal4_metal2_metal5 : !metal4 -metal4 =metal4 !metal3 metal2 metal5 : -metal4 =metal4 :
                                      0.14 50.95
                                      0.28 24.656
                                      0.56 8.1109
                                      1.12 0.050774

    lcap_metal4_metal2_metal6 : !metal4 -metal4 =metal4 !metal3 !metal5 metal2 metal6 : -metal4 =metal4 :
                                      0.14 57.562
                                      0.28 31.389
                                      0.56 14.322
                                      1.12 3.5751

    lcap_metal4_metal2_none : !metal4 -metal4 =metal4 !metal3 !metal5 !metal6 metal2 : -metal4 =metal4 :
                                      0.14 64.697
                                      0.28 38.956
                                      0.56 22.308
                                      1.12 10.934
                                      2.24 3.7901
                                      4.48 1.4839

    lcap_metal4_none_metal5 : !metal4 -metal4 =metal4 !metal3 !metal2 metal5 : -metal4 =metal4 :
                                      0.14 57.375
                                      0.28 31.175
                                      0.56 14.046
                                      1.12 3.5195

    lcap_metal4_none_metal6 : !metal4 -metal4 =metal4 !metal3 !metal2 !metal5 metal6 : -metal4 =metal4 :
                                      0.14 63.814
                                      0.28 37.76
                                      0.56 20.515
                                      1.12 8.3331
                                      2.24 1.2481
                                      4.48 0.058451

    lcap_metal4_none_none : !metal4 -metal4 =metal4 !metal3 !metal2 !metal5 !metal6 : -metal4 =metal4 :
                                      0.14 71.024
                                      0.28 45.414
                                      0.56 28.799
                                      1.12 16.873
                                      2.24 8.1874
                                      4.48 3.0076

    lcap_metal5_metal4_metal6 : !metal5 -metal5 =metal5 metal4 metal6 : -metal5 =metal5 :
                                      0.14 49.487
                                      0.28 23.17
                                      0.56 6.6888

    lcap_metal5_metal4_metal7 : !metal5 -metal5 =metal5 !metal6 metal4 metal7 : -metal5 =metal5 :
                                      0.14 55.965
                                      0.28 29.764
                                      0.56 12.705
                                      1.12 2.5575

    lcap_metal5_metal4_none : !metal5 -metal5 =metal5 !metal6 !metal7 metal4 : -metal5 =metal5 :
                                      0.14 63.2
                                      0.28 37.425
                                      0.56 20.739
                                      1.12 9.6892
                                      2.24 3.0538
                                      4.48 1.3699

    lcap_metal5_metal3_metal6 : !metal5 -metal5 =metal5 !metal4 metal3 metal6 : -metal5 =metal5 :
                                      0.14 54.583
                                      0.28 28.389
                                      0.56 11.434
                                      1.12 1.7382

    lcap_metal5_metal3_metal7 : !metal5 -metal5 =metal5 !metal4 !metal6 metal3 metal7 : -metal5 =metal5 :
                                      0.14 60.962
                                      0.28 34.913
                                      0.56 17.729
                                      1.12 6.0145

    lcap_metal5_metal3_none : !metal5 -metal5 =metal5 !metal4 !metal6 !metal7 metal3 : -metal5 =metal5 :
                                      0.14 68.24
                                      0.28 42.631
                                      0.56 26.023
                                      1.12 14.211
                                      2.24 5.8965
                                      4.48 2.1777

    lcap_metal5_none_metal6 : !metal5 -metal5 =metal5 !metal4 !metal3 metal6 : -metal5 =metal5 :
                                      0.14 59.652
                                      0.28 33.571
                                      0.56 16.452
                                      1.12 5.3274

    lcap_metal5_none_metal7 : !metal5 -metal5 =metal5 !metal4 !metal3 !metal6 metal7 : -metal5 =metal5 :
                                      0.14 66.013
                                      0.28 40.092
                                      0.56 22.949
                                      1.12 10.508
                                      2.24 2.3651
                                      4.48 0.18048

    lcap_metal5_none_none : !metal5 -metal5 =metal5 !metal4 !metal3 !metal6 !metal7 : -metal5 =metal5 :
                                      0.14 73.413
                                      0.28 47.938
                                      0.56 31.469
                                      1.12 19.531
                                      2.24 10.393
                                      4.48 4.2384

    lcap_metal6_metal5_metal7 : !metal6 -metal6 =metal6 metal5 metal7 : -metal6 =metal6 :
                                      0.14 49.481
                                      0.28 23.196
                                      0.56 6.747

    lcap_metal6_metal5_metal8 : !metal6 -metal6 =metal6 !metal7 metal5 metal8 : -metal6 =metal6 :
                                      0.14 60.388
                                      0.28 34.341
                                      0.56 17.242
                                      1.12 5.9877
                                      2.24 0.076666

    lcap_metal6_metal5_none : !metal6 -metal6 =metal6 !metal7 !metal8 metal5 : -metal6 =metal6 :
                                      0.14 63.281
                                      0.28 37.524
                                      0.56 20.848
                                      1.12 9.7579
                                      2.24 3.0864
                                      4.48 1.4096

    lcap_metal6_metal4_metal7 : !metal6 -metal6 =metal6 !metal5 metal4 metal7 : -metal6 =metal6 :
                                      0.14 55.964
                                      0.28 29.788
                                      0.56 12.758
                                      1.12 2.5777

    lcap_metal6_metal4_metal8 : !metal6 -metal6 =metal6 !metal5 !metal7 metal4 metal8 : -metal6 =metal6 :
                                      0.14 66.767
                                      0.28 40.871
                                      0.56 23.766
                                      1.12 11.283
                                      2.24 2.7843
                                      4.48 0.25527

    lcap_metal6_metal4_none : !metal6 -metal6 =metal6 !metal5 !metal7 !metal8 metal4 : -metal6 =metal6 :
                                      0.14 69.741
                                      0.28 44.144
                                      0.56 27.552
                                      1.12 15.64
                                      2.24 6.967
                                      4.48 2.6111

    lcap_metal6_none_metal7 : !metal6 -metal6 =metal6 !metal5 !metal4 metal7 : -metal6 =metal6 :
                                      0.14 60.839
                                      0.28 34.851
                                      0.56 17.832
                                      1.12 6.5597
                                      2.24 0.47488
                                      4.48 0.14186

    lcap_metal6_none_metal8 : !metal6 -metal6 =metal6 !metal5 !metal4 !metal7 metal8 : -metal6 =metal6 :
                                      0.14 71.714
                                      0.28 46.016
                                      0.56 29.137
                                      1.12 16.544
                                      2.24 6.7806
                                      4.48 1.3243

    lcap_metal6_none_none : !metal6 -metal6 =metal6 !metal5 !metal4 !metal7 !metal8 : -metal6 =metal6 :
                                      0.14 74.812
                                      0.28 49.416
                                      0.56 33.084
                                      1.12 21.277
                                      2.24 12.057
                                      4.48 5.3659

    lcap_metal7_metal6_metal8 : !metal7 -metal7 =metal7 metal6 metal8 : -metal7 =metal7 :
                                      0.4 44.506
                                      0.8 17.686
                                      1.6 2.3138

    lcap_metal7_metal6_metal9 : !metal7 -metal7 =metal7 !metal8 metal6 metal9 : -metal7 =metal7 :
                                      0.4 51.231
                                      0.8 24.417
                                      1.6 8.0769
                                      3.2 0.4136

    lcap_metal7_metal6_none : !metal7 -metal7 =metal7 !metal8 !metal9 metal6 : -metal7 =metal7 :
                                      0.4 58.643
                                      0.8 32.266
                                      1.6 15.967
                                      3.2 6.792
                                      6.4 1.6313
                                      12.8 1.0359

    lcap_metal7_metal5_metal8 : !metal7 -metal7 =metal7 !metal6 metal5 metal8 : -metal7 =metal7 :
                                      0.4 49.553
                                      0.8 23.301
                                      1.6 6.8007

    lcap_metal7_metal5_metal9 : !metal7 -metal7 =metal7 !metal6 !metal8 metal5 metal9 : -metal7 =metal7 :
                                      0.4 56.127
                                      0.8 29.996
                                      1.6 12.95
                                      3.2 2.7174

    lcap_metal7_metal5_none : !metal7 -metal7 =metal7 !metal6 !metal8 !metal9 metal5 : -metal7 =metal7 :
                                      0.4 63.541
                                      0.8 37.852
                                      1.6 21.228
                                      3.2 10.129
                                      6.4 3.495
                                      12.8 1.4457

    lcap_metal7_none_metal8 : !metal7 -metal7 =metal7 !metal6 !metal5 metal8 : -metal7 =metal7 :
                                      0.4 56.634
                                      0.8 30.405
                                      1.6 13.392
                                      3.2 3.0879

    lcap_metal7_none_metal9 : !metal7 -metal7 =metal7 !metal6 !metal5 !metal8 metal9 : -metal7 =metal7 :
                                      0.4 63.099
                                      0.8 37.045
                                      1.6 19.851
                                      3.2 7.7977
                                      6.4 1.0449
                                      12.8 0.044461

    lcap_metal7_none_none : !metal7 -metal7 =metal7 !metal6 !metal5 !metal8 !metal9 : -metal7 =metal7 :
                                      0.4 70.585
                                      0.8 44.999
                                      1.6 28.469
                                      3.2 16.653
                                      6.4 8.1602
                                      12.8 3.0415

    lcap_metal8_metal7_metal9 : !metal8 -metal8 =metal8 metal7 metal9 : -metal8 =metal8 :
                                      0.4 49.302
                                      0.8 22.979
                                      1.6 6.5611

    lcap_metal8_metal7_metal10 : !metal8 -metal8 =metal8 !metal9 metal7 metal10 : -metal8 =metal8 :
                                      0.4 59.73
                                      0.8 33.596
                                      1.6 16.541
                                      3.2 5.3714

    lcap_metal8_metal7_none : !metal8 -metal8 =metal8 !metal9 !metal10 metal7 : -metal8 =metal8 :
                                      0.4 63.421
                                      0.8 37.644
                                      1.6 21.075
                                      3.2 10.018
                                      6.4 3.3422
                                      12.8 1.4302

    lcap_metal8_metal6_metal9 : !metal8 -metal8 =metal8 !metal7 metal6 metal9 : -metal8 =metal8 :
                                      0.4 54.342
                                      0.8 28.166
                                      1.6 11.203
                                      3.2 1.6129

    lcap_metal8_metal6_metal10 : !metal8 -metal8 =metal8 !metal7 !metal9 metal6 metal10 : -metal8 =metal8 :
                                      0.4 64.655
                                      0.8 38.704
                                      1.6 21.548
                                      3.2 9.2659
                                      6.4 1.5925
                                      12.8 0.10297

    lcap_metal8_metal6_none : !metal8 -metal8 =metal8 !metal7 !metal9 !metal10 metal6 : -metal8 =metal8 :
                                      0.4 68.394
                                      0.8 42.805
                                      1.6 26.235
                                      3.2 14.462
                                      6.4 6.1749
                                      12.8 2.2719

    lcap_metal8_none_metal9 : !metal8 -metal8 =metal8 !metal7 !metal6 metal9 : -metal8 =metal8 :
                                      0.4 59.314
                                      0.8 33.205
                                      1.6 16.053
                                      3.2 5.02

    lcap_metal8_none_metal10 : !metal8 -metal8 =metal8 !metal7 !metal6 !metal9 metal10 : -metal8 =metal8 :
                                      0.4 69.645
                                      0.8 43.778
                                      1.6 26.699
                                      3.2 14.009
                                      6.4 4.7408
                                      12.8 0.61125

    lcap_metal8_none_none : !metal8 -metal8 =metal8 !metal7 !metal6 !metal9 !metal10 : -metal8 =metal8 :
                                      0.4 73.471
                                      0.8 47.972
                                      1.6 31.524
                                      3.2 19.648
                                      6.4 10.579
                                      12.8 4.3348

    lcap_metal9_metal8_metal10 : !metal9 -metal9 =metal9 metal8 metal10 : -metal9 =metal9 :
                                      0.8 57.297
                                      1.6 25.679
                                      3.2 6.7625

    lcap_metal9_metal8_none : !metal9 -metal9 =metal9 !metal10 metal8 : -metal9 =metal9 :
                                      0.8 70.933
                                      1.6 39.687
                                      3.2 20.384
                                      6.4 8.8621
                                      12.8 1.7648
                                      25.6 0.71377

    lcap_metal9_metal7_metal10 : !metal9 -metal9 =metal9 !metal8 metal7 metal10 : -metal9 =metal9 :
                                      0.8 62.804
                                      1.6 31.466
                                      3.2 11.993
                                      6.4 1.4168

    lcap_metal9_metal7_none : !metal9 -metal9 =metal9 !metal8 !metal10 metal7 : -metal9 =metal9 :
                                      0.8 76.091
                                      1.6 45.306
                                      3.2 26.086
                                      6.4 13.046
                                      12.8 4.3438
                                      25.6 1.1893

    lcap_metal9_none_metal10 : !metal9 -metal9 =metal9 !metal8 !metal7 metal10 : -metal9 =metal9 :
                                      0.8 68.37
                                      1.6 37.077
                                      3.2 17.399
                                      6.4 5.0498

    lcap_metal9_none_none : !metal9 -metal9 =metal9 !metal8 !metal7 !metal10 : -metal9 =metal9 :
                                      0.8 81.605
                                      1.6 50.858
                                      3.2 31.717
                                      6.4 18.396
                                      12.8 8.5904
                                      25.6 2.629

    lcap_metal10_metal9_none : !metal10 -metal10 =metal10 metal9 : -metal10 =metal10 :
                                      0.8 72.69
                                      1.6 41.766
                                      3.2 22.443
                                      6.4 9.5457
                                      12.8 1.9461
                                      25.6 0.67701

    lcap_metal10_metal8_none : !metal10 -metal10 =metal10 !metal9 metal8 : -metal10 =metal10 :
                                      0.8 77.901
                                      1.6 47.041
                                      3.2 27.791
                                      6.4 14.482
                                      12.8 5.2214
                                      25.6 1.321

    lcap_metal10_none_none : !metal10 -metal10 =metal10 !metal9 !metal8 : -metal10 =metal10 :
                                      0.8 82.052
                                      1.6 51.323
                                      3.2 32.243
                                      6.4 18.988
                                      12.8 9.2366
                                      25.6 3.0626
# GENERATED END

vdimensions:
#	name:condition_list:mask:bottom thickness [spacing]
	vdim_nw:( nwell ):nwell:0.190 0
	vdim_an:( !nwell nimplant active !poly ):active:0.196 0
	vdim_ap:( nwell pimplant active !poly ):active:0.196 0
	vdim_ps:( poly ):poly:0.200 0.085 0.075
	vdim_m1:( metal1 ):metal1:0.370 0.130
	vdim_m2:( metal2 ):metal2:0.620 0.140
	vdim_m3:( metal3 ):metal3:0.880 0.140
	vdim_m4:( metal4 ):metal4:1.140 0.280
	vdim_m5:( metal5 ):metal5:1.710 0.280
	vdim_m6:( metal6 ):metal6:2.280 0.280
	vdim_m7:( metal7 ):metal7:2.850 0.800
	vdim_m8:( metal8 ):metal8:4.470 0.800
	vdim_m9:( metal9 ):metal9:6.090 2.000 0.800
	vdim_m10:( metal10 ):metal10:10.090 2.000 0.800

dielectrics:
#	name permittivity bottom
	field_base 3.9 0	# field_base diel
	stddiel    2.5 0.200	# standard diel
	air        1  14.090	# no diel

sublayers:
#	name conductivity top
	substrate 6.7 0

subcaplayers:
#	name permittivity top

selfsubres:
#	area perim value rest

coupsubres:
#	area1 area2 dist. value decr.

#EOF
