# rcsid = "$Id: space.def.s,v 1.1 2009/07/27 12:04:56 simon Exp $"
## This file was generated by SPOCK on Wed Apr 22 2009 at 14:16:09.
#####
# FreePDK45 - FreePDK 45nm
#
# Masks:
# nwell	- n-type well implant
# pwell	- p-type well implant
# nimplant	- n-type s/d doping
# pimplant	- p-type s/d doping
# active	- active area
# poly	- poly-silicon
# contact	- contact
# metal1	- metal1
# via1	- via1
# metal2	- metal2
# via2	- via2
# metal3	- metal3
# via3	- via3
# metal4	- metal4
# via4	- via4
# metal5	- metal5
# via5	- via5
# metal6	- metal6
# via6	- via6
# metal7	- metal7
# via7	- via7
# metal8	- metal8
# via8	- via8
# metal9	- metal9
# via9	- via9
# metal10	- metal10
# sblock	- salicide block
# thkox	- thick-oxide implant
# vthl	- low threshold implant
# vthg	- general threshold implant
# vthh	- high threshold implant
# nodrc	- nodrc
# bb	- bbox
#
# See also the maskdata file.
#####

unit resistance    1	# ohm
unit c_resistance  1e-12	# ohm m^2
unit s_resistance  1	# ohm ...
unit capacitance   1e-15	# F
unit a_capacitance 1e-6	# F/m^2
unit e_capacitance 1e-12	# F/m
unit distance      1e-6	# m
unit resize        1e-6	# m
unit vdimension    1e-6	# m
unit shape         1e-6	# m

#maxkeys 12

colors:
	nwell	@6901aa
	pwell	@ffff00
	nimplant	@aa00ff
	pimplant	@55ff00
	active	@008700
	poly	@ff0000
	contact	@ffffff
	metal1	@0000ff
	via1	@e6e6e6
	metal2	@55ffff
	via2	@c7c7c7
	metal3	@4ab4ff
	via3	@a7a7a7
	metal4	@55aaff
	via4	@8d8d8d
	metal5	@55aaff
	via5	@7a7a7a
	metal6	@55aaff
	via6	@797979
	metal7	@55aaff
	via7	@717171
	metal8	@55aaff
	via8	@636363
	metal9	@55aaff
	via9	@585858
	metal10	@55aaff
	sblock	@ffaa7f
	thkox	@ffaaff
	vthl	@aa0000
	vthg	@aa5500
	vthh	@aaaa00
	nodrc	glass
	bb	glass
	@sub	@aa5500

conductors :
#	name:condition_list:mask:sheet_resistivity:carrier_type
	cond_nw:( nwell ):nwell:933:n		# n-well area
	cond_an:( !nwell nimplant active !poly ):active:0:n		# active n+ area
	cond_ap:( nwell pimplant active !poly ):active:0:p		# active p+ area
	cond_ps:( poly ):poly:7.8:m		# poly-silicon
	cond_m1:( metal1 ):metal1:0.38:m		# 1st metal
	cond_m2:( metal2 ):metal2:0.25:m		# 2nd metal
	cond_m3:( metal3 ):metal3:0.25:m		# 3rd metal
	cond_m4:( metal4 ):metal4:0.21:m		# 4th metal
	cond_m5:( metal5 ):metal5:0.21:m		# 5th metal
	cond_m6:( metal6 ):metal6:0.21:m		# 6th metal
	cond_m7:( metal7 ):metal7:0.075:m		# 7th metal
	cond_m8:( metal8 ):metal8:0.075:m		# 8th metal
	cond_m9:( metal9 ):metal9:0.03:m		# 9th metal
	cond_m10:( metal10 ):metal10:0.03:m		# 10th metal

fets:
#	name:condition_list:mask_g mask_ds [dsarea] [:mask_b]
	nenh:( !nwell pwell nimplant active poly ):poly active ( !nwell nimplant active !poly ):@sub
	penh:( nwell !pwell pimplant active poly ):poly active ( nwell pimplant active !poly ):nwell

contacts :
#	name:condition_list:type:mask1 mask2:resitivity
	cont_su:( !nwell pimplant active contact metal1 ):@sub metal1:0		# substrate to m1
	cont_nw:( nwell nimplant active contact metal1 ):nwell metal1:0		# nwell to m1
	cont_an:( !nwell nimplant active !poly contact metal1 ):active metal1:0		# active n+ to m1
	cont_ap:( nwell pimplant active !poly contact metal1 ):active metal1:0		# active p+ to m1
	cont_ps:( poly contact metal1 ):poly metal1:0.0338		# poly to m1
	cont_m1:( metal1 via1 metal2 ):metal1 metal2:0.02535		# m1 to m2
	cont_m2:( metal2 via2 metal3 ):metal2 metal3:0.0245		# m2 to m3
	cont_m3:( metal3 via3 metal4 ):metal3 metal4:0.0245		# m3 to m4
	cont_m4:( metal4 via4 metal5 ):metal4 metal5:0.0588		# m4 to m5
	cont_m5:( metal5 via5 metal6 ):metal5 metal6:0.0588		# m5 to m6
	cont_m6:( metal6 via6 metal7 ):metal6 metal7:0.0588		# m6 to m7
	cont_m7:( metal7 via7 metal8 ):metal7 metal8:0.16		# m7 to m8
	cont_m8:( metal8 via8 metal9 ):metal8 metal9:0.16		# m8 to m9
	cont_m9:( metal9 via9 metal10 ):metal9 metal10:0.32		# m9 to m10

# GENERATED BEGIN: tabs-area-capacitance (edit this block at your own risk)
# Added: Mon Jul 27 13:57:11 CEST 2009
capacitances: # area-capacitances
    cpp_active_metal1 : !nwell nimplant active !poly metal1 : active metal1 : 128.27 # 128.43 (0.12% error)
    cpp_active_metal2 : !nwell nimplant active !poly metal2 !metal1 : active metal2 : 52.383 # 52.418 (0.07% error)
    cpp_active_metal1_1 : nwell active !poly pimplant metal1 : active metal1 : 128.27 # 128.43 (0.12% error)
    cpp_active_metal2_1 : nwell active !poly pimplant metal2 !metal1 : active metal2 : 52.383 # 52.418 (0.07% error)
    cpp_poly_metal1 : poly metal1 : poly metal1 : 260.41 # 260.48 (0.02% error)
    cpp_poly_metal2 : poly metal2 !metal1 : poly metal2 : 66.075 # 66.11 (0.05% error)
    cpp_metal1_metal2 : metal1 metal2 : metal1 metal2 : 184.46 # 184.39 (0.04% error)
    cpp_gnd_poly : poly : @gnd poly : 172.65 # 172.66 (0.01% error)
    cpp_gnd_metal1 : metal1 nwell !poly !pimplant | metal1 !nwell !nimplant !poly | metal1 !active !poly : @gnd metal1 : 74.227 # 74.163 (0.09% error)
# GENERATED END

# GENERATED BEGIN: tabs-edge-edge-capacitance (edit this block at your own risk)
# Added: Mon Jul 27 13:57:11 CEST 2009
capacitances: # edge-edge capacitances
    cee_poly_metal1 : !poly !metal1 -poly -metal1 : -poly -metal1 : 8.7441
    cee_poly_metal2 : !poly !metal2 !metal1 -poly -metal2 : -poly -metal2 : 3.9509
    cee_metal1_metal2 : !metal1 !metal2 -metal1 -metal2 : -metal1 -metal2 : 9.667
# GENERATED END

# GENERATED BEGIN: tabs-edge-surface-capacitance (edit this block at your own risk)
# Added: Mon Jul 27 13:57:13 CEST 2009
# Precision: low (be_mode=0c error=0.1)
# Edge-ratio: 10
capacitances: # edge-surface capacitances
    ecap_poly_gnd : !poly -poly : -poly @gnd :
                                      0.075 8.2394
                                      0.15 13.031
                                      0.3 20.093
                                      0.6 27.341
                                      1.2 31.905
                                      2.4 33.649

    ecap_poly_metal1 : !poly -poly metal1 : -poly metal1 :
                                      0.075 7.1922
                                      0.15 12.536
                                      0.3 17.098
                                      0.6 17.373

    ecap_poly_metal2 : !poly -poly metal2 !metal1 : -poly metal2 :
                                      0.075 3.5377
                                      0.15 5.1825
                                      0.3 7.3399
                                      0.6 8.8291
                                    # 1.2 8.4078 (outcommented, because not greater than previous value)

    ecap_metal1_poly : !metal1 -metal1 poly : -metal1 poly :
                                      0.065 5.8774
                                      0.13 10.907
                                      0.26 17.677
                                      0.52 23.012
                                      1.04 23.661

    ecap_metal1_active : !metal1 -metal1 !nwell nimplant active !poly : -metal1 active :
                                      0.065 4.4601
                                      0.13 7.2955
                                      0.26 12.115
                                      0.52 17.77
                                      1.04 20.489
                                    # 2.08 19.054 (outcommented, because not greater than previous value)

    ecap_metal1_active_1 : !metal1 -metal1 nwell active !poly pimplant : -metal1 active :
                                      0.065 4.4601
                                      0.13 7.2955
                                      0.26 12.115
                                      0.52 17.77
                                      1.04 20.489
                                    # 2.08 19.054 (outcommented, because not greater than previous value)

    ecap_metal1_gnd : !metal1 -metal1 !poly nwell !pimplant | !metal1 -metal1 !poly !nwell !nimplant | !metal1 -metal1 !poly !active : -metal1 @gnd :
                                      0.065 5.2446
                                      0.13 7.3848
                                      0.26 11.221
                                      0.52 16.971
                                      1.04 23.239
                                      2.08 27.604
                                      4.16 29.464

    ecap_metal1_metal2 : !metal1 -metal1 metal2 : -metal1 metal2 :
                                      0.065 4.3364
                                      0.13 8.4464
                                      0.26 14.189
                                      0.52 18.275
                                    # 1.04 17.651 (outcommented, because not greater than previous value)

    ecap_metal2_metal1 : !metal2 -metal2 metal1 : -metal2 metal1 :
                                      0.07 4.838
                                      0.14 9.0988
                                      0.28 15.433
                                      0.56 21.409
                                      1.12 23.604

    ecap_metal2_poly : !metal2 -metal2 poly !metal1 : -metal2 poly :
                                      0.07 3.5026
                                      0.14 5.2175
                                      0.28 8.3694
                                      0.56 13.278
                                      1.12 17.961
                                      2.24 18.812

    ecap_metal2_active : !metal2 -metal2 !nwell nimplant active !poly !metal1 : -metal2 active :
                                      0.07 2.903
                                      0.14 4.324
                                      0.28 6.957
                                      0.56 11.382
                                      1.12 16.226
                                      2.24 18.045
                                    # 4.48 16.859 (outcommented, because not greater than previous value)

    ecap_metal2_active_1 : !metal2 -metal2 nwell active !poly pimplant !metal1 : -metal2 active :
                                      0.07 2.903
                                      0.14 4.324
                                      0.28 6.957
                                      0.56 11.382
                                      1.12 16.226
                                      2.24 18.045
                                    # 4.48 16.859 (outcommented, because not greater than previous value)
# GENERATED END

# GENERATED BEGIN: tabs-lateral-capacitance (edit this block at your own risk)
# Added: Mon Jul 27 13:57:15 CEST 2009
# Precision: low (be_mode=0c error=0.1)
# Edge-ratio: 10
capacitances: # lateral capacitances
    lcap_poly_none_metal1 : !poly -poly =poly metal1 : -poly =poly :
                                      0.075 31.436
                                      0.15 13.545
                                      0.3 2.6055
                                    # 0.6 -0.76989 (outcommented, because not greater than zero)

    lcap_poly_none_metal2 : !poly -poly =poly !metal1 metal2 : -poly =poly :
                                      0.075 39.131
                                      0.15 21.24
                                      0.3 8.426
                                      0.6 1.3958
                                    # 1.2 -0.30683 (outcommented, because not greater than zero)

    lcap_poly_none_none : !poly -poly =poly !metal1 !metal2 : -poly =poly :
                                      0.075 47.809
                                      0.15 30.164
                                      0.3 17.079
                                      0.6 8.0695
                                      1.2 3.0892
                                      2.4 0.95306

    lcap_metal1_poly_metal2 : !metal1 -metal1 =metal1 poly metal2 : -metal1 =metal1 :
                                      0.065 46.624
                                      0.13 20.088
                                      0.26 4.3051
                                    # 0.52 -1.4757 (outcommented, because not greater than zero)

    lcap_metal1_poly_none : !metal1 -metal1 =metal1 !metal2 poly : -metal1 =metal1 :
                                      0.065 60.826
                                      0.13 34.823
                                      0.26 18.172
                                      0.52 7.9413
                                      1.04 2.442
                                      2.08 1.0637

    lcap_metal1_active_metal2 : !metal1 -metal1 =metal1 !poly !nwell nimplant active metal2 : -metal1 =metal1 :
                                      0.065 50.153
                                      0.13 23.851
                                      0.26 7.5186
                                    # 0.52 -0.21382 (outcommented, because not greater than zero)

    lcap_metal1_active_none : !metal1 -metal1 =metal1 !poly !metal2 !nwell nimplant active : -metal1 =metal1 :
                                      0.065 64.248
                                      0.13 38.567
                                      0.26 22.041
                                      0.52 10.81
                                      1.04 4.0194
                                      2.08 1.4267

    lcap_metal1_active_metal2_1 : !metal1 -metal1 =metal1 !poly nwell active pimplant metal2 : -metal1 =metal1 :
                                      0.065 50.153
                                      0.13 23.851
                                      0.26 7.5186
                                    # 0.52 -0.21382 (outcommented, because not greater than zero)

    lcap_metal1_active_none_1 : !metal1 -metal1 =metal1 !poly nwell active !metal2 pimplant : -metal1 =metal1 :
                                      0.065 64.248
                                      0.13 38.567
                                      0.26 22.041
                                      0.52 10.81
                                      1.04 4.0194
                                      2.08 1.4267

    lcap_metal1_none_metal2 : !metal1 -metal1 =metal1 !poly nwell !pimplant metal2 | !metal1 -metal1 =metal1 !poly !nwell !nimplant metal2 | !metal1 -metal1 =metal1 !poly !active metal2 : -metal1 =metal1 :
                                      0.065 53.879
                                      0.13 27.572
                                      0.26 10.777
                                      0.52 1.5331
                                    # 1.04 -0.86856 (outcommented, because not greater than zero)

    lcap_metal1_none_none : !metal1 -metal1 =metal1 !poly nwell !pimplant !metal2 | !metal1 -metal1 =metal1 !poly !nwell !nimplant !metal2 | !metal1 -metal1 =metal1 !poly !active !metal2 : -metal1 =metal1 :
                                      0.065 67.921
                                      0.13 42.235
                                      0.26 25.627
                                      0.52 13.994
                                      1.04 6.1674
                                      2.08 2.0517

    lcap_metal2_metal1_none : !metal2 -metal2 =metal2 metal1 : -metal2 =metal2 :
                                      0.07 62.273
                                      0.14 36.382
                                      0.28 19.686
                                      0.56 8.7852
                                      1.12 2.6227
                                      2.24 1.1971

    lcap_metal2_poly_none : !metal2 -metal2 =metal2 !metal1 poly : -metal2 =metal2 :
                                      0.07 68.036
                                      0.14 42.436
                                      0.28 25.811
                                      0.56 13.98
                                      1.12 5.8072
                                      2.24 2.0571

    lcap_metal2_none_none : !metal2 -metal2 =metal2 !metal1 !poly : -metal2 =metal2 :
                                      0.07 71.167
                                      0.14 45.581
                                      0.28 28.99
                                      0.56 17.036
                                      1.12 8.289
                                      2.24 3.0272
# GENERATED END

vdimensions:
#	name:condition_list:mask:bottom thickness [spacing]
	#vdim_nw:( nwell ):nwell:0.190 0
	vdim_an:( !nwell nimplant active !poly ):active:0.196 0
	vdim_ap:( nwell pimplant active !poly ):active:0.196 0
	vdim_ps:( poly ):poly:0.200 0.085 0.075
	vdim_m1:( metal1 ):metal1:0.370 0.130
	vdim_m2:( metal2 ):metal2:0.620 0.140
	#vdim_m3:( metal3 ):metal3:0.880 0.140
	#vdim_m4:( metal4 ):metal4:1.140 0.280
	#vdim_m5:( metal5 ):metal5:1.710 0.280
	#vdim_m6:( metal6 ):metal6:2.280 0.280
	#vdim_m7:( metal7 ):metal7:2.850 0.800
	#vdim_m8:( metal8 ):metal8:4.470 0.800
	#vdim_m9:( metal9 ):metal9:6.090 2.000 0.800
	#vdim_m10:( metal10 ):metal10:10.090 2.000 0.800

dielectrics:
#	name permittivity bottom
	field_base 3.9 0	# field_base diel
	stddiel    2.5 0.200	# standard diel
	air        1  14.090	# no diel

sublayers:
#	name conductivity top
	substrate 6.7 0

#EOF
