
std::include_once src/generic/libs/tcl/std/path.tcl


################################################################################
namespace eval std {
################################################################################


#===============================================================================
#
#  Send a mail message.
#
#===============================================================================

proc send_mail_message {to_address from_address subject body} {

    set path [std::tmppath]

    set fp [open $path w]
    puts $fp "To: $to_address"
    puts $fp "From: $from_address"
    puts $fp "Subject: $subject"
    puts $fp ""
    puts $fp "$body"
    close $fp

    catch {exec cat $path | /usr/sbin/sendmail $to_address 2>@ stderr}

    catch {file delete -force -- $path}
}

proc send_multipart_mail_message {to_address from_address subject body attachments} {

    set path [std::tmppath]

    set boundary "%--multipart-mixed-boundary-1.4328.1055317064--%"

    set fp [open $path w]
    puts $fp "To: $to_address"
    puts $fp "From: $from_address"
    puts $fp "Subject: $subject"
    puts $fp "MIME-Version: 1.0"
    puts $fp "Content-Type: multipart/mixed; boundary=\"$boundary\""
    puts $fp ""
    puts $fp "--$boundary"
    puts $fp "Content-Type: text/plain; charset=us-ascii"
    puts $fp "Content-Transfer-Encoding: 7bit"
    puts $fp ""
    puts $fp "$body"
    puts $fp ""

    foreach attachment $attachments {
        puts $fp "--${boundary}"
        puts $fp "Content-Type: application/octet-stream"
        puts $fp "Content-Transfer-Encoding: base64"
        puts $fp "Content-Description: data"
        puts $fp "Content-Disposition: attachment; filename=\"[file tail $attachment]\""
        puts $fp ""

        set tmppath [std::tmppath]
        exec mimencode -b -o $tmppath $attachment 2>@ stderr

        set fp2 [open $tmppath r]
        puts $fp [read $fp2]
        close $fp2

        catch {file delete -force -- $tmppath}
    }

    puts $fp "--${boundary}--"
    close $fp

    catch {exec cat $path | /usr/sbin/sendmail $to_address 2>@ stderr}

    catch {file delete -force -- $path}
}


################################################################################
}
################################################################################

