
#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
namespace eval ::obj {
#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

proc ::obj::copy_attribute_declarations {other_type} {

    foreach attr [::obj::attributes --dynamic -- $other_type] {
        set attr_type [::obj::attribute_info $other_type $attr get_type]
        set cmd [list ::obj::attribute $attr $attr_type]
        if [::obj::attribute_info $other_type $attr has_default] {
            lappend cmd [::obj::attribute_info $other_type $attr get_default]
        }
        puts stderr "CMD: $cmd"
        uplevel 1 $cmd
    }

    foreach attr [::obj::attributes --static -- $other_type] {
        set attr_type [::obj::attribute_info $other_type $attr get_type]
        set cmd [list ::obj::attribute --static -- $attr $attr_type]
        if [::obj::static_is_assigned $other_type $attr] {
            lappend cmd [::obj::static_get $other_type $attr]
        }
        puts stderr "CMD: $cmd"
        uplevel 1 $cmd
    }
}

proc copy_attributes {src _dst} {

    upvar $_dst dst

    set src_type [::obj::static_type $src]
    set dst_type [::obj::static_type $dst]

    foreach attr [::obj::attributes --dynamic -- $src_type] {
        if ![::obj::has_attribute $dst_type $attr] continue
        if ![::obj::is_assigned $src $attr] continue
        set value [::obj::get $src $attr]
        if {[::obj::attribute_info $src_type $attr get_type] == "%notype"} {
            ::obj::assign $dst $attr $value
        } else {
            ::obj::assign $dst $attr [::obj::deep_copy $value]
        }
    }
}

proc deep_copy {obj} {
    set string [::obj::pack $obj]
    set obj [::obj::unpack $string]
    return $obj
}

proc #set {obj accessor value} {
    ::obj::invoke $obj #set $accessor $value
}

proc #get {obj accessor} {
    return [::obj::invoke $obj #get $accessor]
}

proc #invoke {obj accessor method args} {
    set obj [::obj::invoke $obj #get $accessor]
    eval ::obj::invoke [list $obj $method] $args
}


#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
}
#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

