/* rcsid = "$Id: dmdebug.h,v 3.11 2007/03/10 15:59:17 simon Exp $" */
/**********************************************************

Name/Version      : The Design Data Management Project

Language          : C
Operating system  : UNIX / LINUX

Author(s)         : S. de Graaf
                    A. van der Hoeven
                    T.G.R. van Leuken
                    N. van der Meijs
		    T. Vogel
		    P. van der Wolf
Creation date     : 04-Dec-1986
Modified by       : S. de Graaf
Modification date : 09-Mar-2007 (3.11)

        Delft University of Technology
        Department of Electrical Engineering
        Network Theory Section
        Mekelweg 4 - P.O.Box 5031
        2600 GA DELFT
        The Netherlands

        COPYRIGHT (C) 1985-2007, All rights reserved
**********************************************************/

/*
    CACD-RELEASE-ALLOWED
*/

#ifndef __DMDEBUG_H
#define __DMDEBUG_H

/* #define DM_DEBUG */		/* debugging is on */

#ifdef DM_DEBUG
#define IFDEBUG if (_dmIfdebug(__FILE__,__LINE__))
#define TRACE fprintf(stderr,"--trace: %s, %d\n",__FILE__,__LINE__)
#define ASSERT(v) {if (!(v)) \
{fprintf(stderr,"assertion failed, file %s, line %d\n",\
__FILE__, __LINE__); _dmFatal("assert");}}

#else /* NOT DM_DEBUG */
#define IFDEBUG if (0)
#define TRACE ;
#define ASSERT(v) ;
#endif /* DM_DEBUG */

#endif /* __DMDEBUG_H */

