/* rcsid = "$Id: dmglobal.h,v 3.19 2007/12/13 11:45:49 simon Exp $" */
/**********************************************************

Name/Version      : The Design Data Management Project

Language          : C
Operating system  : UNIX / LINUX

Author(s)         : S. de Graaf
                    A. van der Hoeven
                    T.G.R. van Leuken
                    N. van der Meijs
		    T. Vogel
		    P. van der Wolf
Creation date     : 04-Dec-1986
Modified by       : S. de Graaf
Modification date : 21-Jan-1988
Modification date : 16-Jun-2000
Modification date : 05-Nov-2004
Modification date : 09-Mar-2007 (3.17)
Modification date : 13-Dec-2007 (3.18)

        Delft University of Technology
        Department of Electrical Engineering
        Network Theory Section
        Mekelweg 4 - P.O.Box 5031
        2600 GA DELFT
        The Netherlands

        COPYRIGHT (C) 1985-2007, All rights reserved
**********************************************************/

/*
    CACD-RELEASE-ALLOWED
*/

#ifndef __DMGLOBAL_H
#define __DMGLOBAL_H

char   *dmviews[] = {
	LAYOUT,
	CIRCUIT,
	FLOORPLAN
};
/*
** See dmincl.h: DM_NOVIEWS == sizeof (dmviews) / sizeof (char *)
*/

/*
** DDM environment
*/
char   *dmpls = NULL;
char   *dmhome = NULL;
char   *dmcur_project = NULL;
char   *dmcur_view = NULL;
char   *dmcur_cell = NULL;
char   *dmprompt = NULL;
char   *dmtoolbox = NULL;

/*
** DDM error handling
*/
int     dmerrno = 0;

char   *dmerrlist[] =
{
    "DDM error number 0",
    "error in system call",
    "DDM internal error",
    "bad arguments to DDM function call",
    "mode is invalid for key",
    "bad project",
    "bad view",
    "cell does not exist",
    "bad key",
    "cell is already checked out",
    "cannot open primary file for writing",
    "illegal recursion",
    "cell already exists",
    "cannot open technology file",
    "dmPutDesignData write error",
    "dmGetDesignData read error",
    "bad format",
    "unknown process id",
    "cannot access process data",
    "no more core",
    "process data read error",
    "bad current view",
    "bad name",
    "view does not exist",
    "view already exists",
    "project is locked",
    "cannot open file",
    "bad DDM environment",
    "no celllist present",
    "already initialized",
    "no project list present",
    "no imported celllist present",
    "cannot open file .dmrc",
    "bad release",
    "not yet initialized",
    "design manager error",
    "design manager rejects request",
    "cell is not a root",
    "no father cell",
    "no/wrong celltype",
    "no/wrong interfacetype",
    "no/wrong mask present",
    "cannot get license, contact your service organization.",
};

int     dmnerr = sizeof (dmerrlist) / sizeof (char *);

#endif /* __DMGLOBAL_H */

