/* rcsid = "$Id: dmproto.h,v 3.25 2016/11/02 11:50:45 simon Exp $" */
/**********************************************************

Name/Version      : The Design Data Management Project

Language          : C
Operating system  : UNIX / LINUX

Author(s)         : S. de Graaf
                    T.G.R. van Leuken
                    N. van der Meijs
		    P. van der Wolf
Creation date     : 04-Dec-1986
Modified by       : P. Bingley
Modification date : 15-Nov-1989
Modified by       : S. de Graaf
Modification date : 17-May-1988
Modification date : 01-Feb-1999
Modification date : 16-Jun-2000
Modification date : 28-Jun-2000 (3.12)
Modification date : 05-Nov-2004 (3.19)
Modification date : 09-Mar-2007 (3.20)
Modification date : 20-Dec-2007 (3.21)
Modification date : 15-Mar-2010 (3.22 removed dmPutMetaDesignData)
Modification date : 20-May-2011 (3.24)
Modification date : 02-Nov-2016 (3.25)

        Delft University of Technology
        Department of Electrical Engineering
        Network Theory Section
        Mekelweg 4 - P.O.Box 5031
        2600 GA Delft
        The Netherlands

        COPYRIGHT (C) 1985-2016, All rights reserved
**********************************************************/

/*
    CACD-RELEASE-ALLOWED
*/

#ifndef _DMPROTO_INCLUDED
#define _DMPROTO_INCLUDED /* allows multiple inclusion */

#ifdef __cplusplus
  extern "C" {
#endif
DM_CELL *dmCheckOut(DM_PROJECT *dmproject, char *cell, const char *versionstatus, int versionnumber, const char *view, int mode);
DM_PROJECT *dmFindProjKey(int loc_imp, char *local_name, DM_PROJECT *father_proj, char **rem_namep, const char *view);
DM_PROJECT *dmOpenProject(char *projectname, int mode);
DM_STREAM *dmOpenStream(DM_CELL *key, const char *stream, const char *mode);
char *dmAttrPrint(char *attr, char *last, char *par, char *val);
char *dmAttrScan(char *attr, char **par, char **val);
int dmCheckIn(DM_CELL *key, int mode);
void dmCkinAll(int mode);
void dmCloseCellStreams(DM_CELL *cellkey, int mode);
int dmCloseProject(DM_PROJECT *dmproject, int mode);
int dmCloseProjectContinue(DM_PROJECT *dmproject);
int dmCloseStream(DM_STREAM *dmfile, int mode);
void dmError(char *s);
void dmError2(const char *s1, char *s2);
int dmGetDataEscape(DM_STREAM *dmfile, int fmt);
int dmGetDesignData(DM_STREAM *dmfile, int fmt);
int dmInit(char *progname);
void dmPerror(char *s);
char* dmStrError(void);
int dmPrintf(DM_STREAM *iop, char *format, ...);
int dmPutDataEscape(DM_STREAM *dmfile, int fmt);
int dmPutDesignData(DM_STREAM *dmfile, int fmt);
int dmQuit(void);
int dmRemoveCell(DM_PROJECT *dmproject, char *cell, char *versionstatus, int versionnumber, char *view);
int dmRenameStream(DM_CELL *key, char *oldname, char *newname);
int dmRmCellForce(DM_PROJECT *dmproject, char *cell, char *versionstatus, int versionnumber, char *view, int force);
int dmScanf(DM_STREAM *iop, char *fmt, ...);
int dmSeek(DM_STREAM *dmfile, long offset, long ptrname);
/* gcc 2.3.3 warns about using "struct stat" here... */
typedef struct stat _STRUCT_STAT_;
int dmStat(DM_CELL *key, const char *file, _STRUCT_STAT_ *buf);
long dmTell(DM_STREAM *dmfile);
int dmTestname(char *name);
int dmTestname2(DM_PROJECT *dmproject, char *name);
int dmUnlink(DM_CELL *key, char *file);
char *dmGetMetaDesignData(int reqid, DM_PROJECT *projectid, ...);
char *dmSubstituteEnvironmentVars(char *path);
#ifdef XCONTROL
FILE *dmOpenXData(DM_PROJECT *project, char *mode);
int dmGetCellStatus(DM_PROJECT *project, DM_XDATA *xdata);
int dmGetXData(FILE *fp, DM_XDATA *xdata);
int dmPutCellStatus(DM_PROJECT *project, DM_XDATA *xdata);
int dmPutXData(FILE *fp, DM_XDATA *xdata);
int dmStatXData(DM_PROJECT *project, struct stat *buf);
int dmUnlinkXData(DM_PROJECT *project);
#endif
#ifdef DM_GETOPT
int getopt(int argc, char **argv, char *opts);
#endif
#ifdef __cplusplus
  }
#endif

#endif /* _DMPROTO_INCLUDED */
