# rcsid = "$Id: annospace.tcl,v 1.1 2008/01/29 08:43:19 simon Exp $"

set ext_opts ""
set act_cell ""
set ref_cell ""
set err 0

foreach i $argv {
    if {[string index $i 0] == "-"} {
	append ext_opts " $i"
    } elseif {$act_cell == ""} {
	set act_cell $i
    } elseif {$ref_cell == ""} {
	set ref_cell $i
    } else {
	incr err
    }
}

if {$ref_cell == "" || $err != 0} {
    puts stderr "\nUsage: annospace <space options> <act_cell> <ref_cell>\n"
    puts stderr "Description:"
    puts stderr "   Annospace first uses space to extract a cell 'act_cell' without"
    puts stderr "   parasitics, then uses match to back annotate net names and transistor"
    puts stderr "   names from a cell 'ref_cell' - which is supposed to be the equivalent"
    puts stderr "   circuit for 'act_cell' - to the layout of 'act_cell', and next extracts"
    puts stderr "   cell 'act_cell' including back annotated information and parasitics."
    puts stderr "   Use 'annoclean' to remove back annotated information from a layout.\n"
    exit 1
}

if ![file isdirectory layout/$act_cell] {
    puts stderr "annospace: act_cell '$act_cell' is not a layout cell"
    exit 1
}
if ![file isdirectory circuit/$ref_cell] {
    puts stderr "annospace: ref_cell '$ref_cell' is not a circuit cell"
    exit 1
}

puts stderr "+ space -Snode_pos_name -Sno_parasitics -Sno_annotations -t $ext_opts $act_cell"
eval exec space -Snode_pos_name -Sno_parasitics -Sno_annotations -t $ext_opts $act_cell >&@ stderr
puts stderr "+ match -annotate $ref_cell $act_cell"
eval exec match -annotate $ref_cell $act_cell >&@ stderr
puts stderr "+ space $ext_opts $act_cell"
eval exec space $ext_opts $act_cell >&@ stderr
